ApiV1V1.pathfinderservice
LookupDenom
LookupDenom resolves denom information on a specific chain Accepts human-readable base denoms or IBC denom hashes
POST
/v1.PathfinderService/LookupDenomConnect-Protocol-Version*1Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?Connect-Timeout-MsDefine the timeout, in ms
- body
LookupDenomRequest - Resolve token information Accepts either:
- Human-readable denom (e.g., "uatone", "uosmo")
- IBC denom (e.g., "ibc/ABC123...")
chainId*chain_iddenom*denomLength
1 <= length <= 128Success
- response
found?foundchain_denom?chain_denomThe denom as it appears on this chain
base_denom?base_denomThe base/native denom
origin_chain?origin_chainWhere this token is native
is_native?is_nativeTrue if this is the token's native chain
ibc_path?ibc_pathIBC path if this is an IBC token (e.g., "transfer/channel-75")
available_on?array<>Denoms on other chains where this token is available
curl -X POST 'https://example.com/v1.PathfinderService/LookupDenom' \ -H 'Connect-Protocol-Version: 1' \ -H 'Content-Type: application/json' \ -d '{ "chainId": "string", "denom": "string"}'Example Response
{ "found": true, "chain_denom": "string", "base_denom": "string", "origin_chain": "string", "is_native": true, "ibc_path": "string", "available_on": [ { "chain_id": "string", "chain_name": "string", "denom": "string", "is_native": true } ]}